@import url('https://fonts.cdnfonts.com/css/sf-pro-display');

:root{
    --FF: 'SF Pro Display', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    --FONT-SIZE-SM: 1rem;
    --FONT-SIZE-L: clamp(1.2rem, 5vw, 1.5rem);
    --BG-COLOR: #010009;
    --FORECOLOR: #00FFFF;
    --FONT-COLOR: #00FFFF;
    --SIDEMENU-COLOR: #fff;
    --SIDEMENU-BG: rgba(0, 5, 81, 0.5);
    --NAV-SHADOW-COLOR: #010009;
    --HERO-PARAGRAPH: #fff;
    --HERO-FONT-COLOR: #00FFFF;
    --FOOTER_COLOR: #00ffffc3;
    --PANEL-SECONDARY-COLOR: #00ffffc3;
    --SECONDARY-P-COLOR: white;
}

.darkMode{
    --BG-COLOR: #ACC8E5;
    --FORECOLOR: #112A46;
    --FONT-COLOR: #000;
    --SIDEMENU-COLOR: #FFF;
    --SIDEMENU-BG: rgba(51, 51, 51, 0.5);
    --NAV-SHADOW-COLOR: #010009;
    --HERO-PARAGRAPH:#000;
    --HERO-FONT-COLOR: red;
    --FOOTER_COLOR: #000;
}

.darkMode #logo{
    content: url(/images/logo-dark.png);
}

.darkMode #icon{
    content: url(/icons/UI\ UX\ icon-dark.png);
}

.darkMode #theme-icon{
    content: url(/icons/icons8-dark-mode-50.png);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
    font-family: var(--FF);
}

header{
    background-color: var(--BG-COLOR);
    width: 100%;
    top: 0;
    position: fixed;
    z-index: 2;
    box-shadow: 0 5px 10px var(--NAV-SHADOW-COLOR);
}

main{
    margin-top: 4rem;
}

body{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: var(--FONT-COLOR);
    background-color: var(--BG-COLOR);
}

img{
    display: block;
    max-width: 100%;
    height: auto;
}

input, button, textarea{
    font: inherit;
}

fieldset{
    border: 1px solid var(--FORECOLOR);
    border-radius: 10px;
    padding: 1em;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.30);
}

legend{
    margin: 0em 1em;
    padding: 0em 0.5em;
    font-size: var(--FONT-SIZE-L);
}

form{
    width: 100%;
    text-align: center;
}

input, textarea{
    margin: 1rem 0rem;
    padding: 0.5em;
    display: inline-block;
    font-size: 1.125rem;
    background-color: transparent;
    color: var(--FORECOLOR);
    border: 2px solid var(--FORECOLOR);
    border-radius: 0.3rem;
    opacity: 80%;
    width: 90%;
}

textarea{
    text-align: justify;
}

textarea::placeholder, input::placeholder{
    font-style: italic;
}

textarea{
    height: 16rem;
    resize: none;
}

button{
    font-size: 1.125rem;
    background-color: transparent;
    color: var(--FORECOLOR);
    border: 2px solid var(--FORECOLOR);
    border-radius: 1rem;
    width: 12rem;
    font-family: 'SF Pro Display';
}

button:hover{
    background-color: var(--FORECOLOR);
    color: #010009;
}

button:active{
    opacity: 50%;
}

h1{
    font-size: var(--FONT-SIZE-L);
    padding: 0.2em 0rem;
}

h3{
    margin: 0.5em 0rem;
    font-size: 1rem;
    font-style: italic;
    font-weight: normal;
}

h4{
    font-size: 1.25rem;
    color: var(--FORECOLOR);
}

.center{
    display: flex;
    justify-content: center;
    align-items: center;
}

/* || -------------------------------LAZY LOAD EFFECT------------------------------- */
.lazy_box {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.lazy_box.visible {
    opacity: 1;
    transform: translateY(0);
}



/* || -------------------------------PERCENTAGE BUTTON------------------------------- */
.scroll-button{
    margin: 2rem;
    position: fixed;
    bottom: 0;
    right: 0;
    border-radius: 50%;
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.scroll-button button {
    width: 3rem;
    height: 3rem;
    border: 1px solid var(--FORECOLOR);
    font-style: oblique;
    font-size: 1rem;
    color: var(--FONT-COLOR);
    border-radius: 50%;
}

.scroll-button button:hover{
    background-color: transparent;
}

.animatingElements{
    position: relative;
    width: 95vw;
}

.animatingElements a{
    position: absolute;
    right: 0;
}


/* || -------------------------------HEADER SECTION------------------------------- */
.header-section{
    border-bottom: 1.5px solid var(--FORECOLOR);
    margin: 0.5em;
    padding: 0.5em;
}

.menu-button{
    height: 50px;
    width: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    right: 20px;
    top: 0;
    background-color: transparent;
    border: none;
}

.theme{
    border: none;
    width: 100%;
    position: fixed;
    left: 230px;
    top: 10px;
}

.menu-button:hover{
    background-color: transparent;
}
  
.menu-line{
    width: 30px;
    height: 3px;
    background-color: var(--FORECOLOR);
    border-radius: 5px;
    position: absolute;
}

.theme{
    width: 100px;
    right: 100px;
}

.theme:hover{
    background-color: transparent;
    color: var(--FONT-COLOR);
}

.header-section ul{
    list-style-type: none;
    background-color: var(--SIDEMENU-BG);
    padding: 3rem 0.5rem;
    backdrop-filter: blur(3px);
    position: fixed;
    right: -300px;
    top: 0;
    width: 300px;
    height: 100%;
    transition: 0.2s ease-in-out;
}
  
.header-section li{
    margin: 1rem;
}
  
.header-section a{
    display: block;
    color: var(--SIDEMENU-COLOR);
    text-decoration: none;
    font-weight: 500;
}

.header-section a:active{
    color: var(--FONT-COLOR);
}

.menu-button div:first-child{
    transform: translateY(-8px);
}
  
.menu-button div:last-child{
    transform: translateY(8px);
}
  
.line1{
    animation: transformLines1 0.3s 1 ease-in-out normal forwards;
}
  
.line2{
    animation: transformLines2 0.3s 1 ease-in-out normal forwards;
}
  
.line3{
    animation: transformLines3 0.3s 1 ease-in-out normal forwards;
  }
   
.line1-reverse{
    animation: transformLines1-reverse 0.3s 1 ease-in-out normal forwards;
  }
  
.line2-reverse{
    animation: transformLines2-reverse 0.3s 1 ease-in-out normal forwards;
}
  
.line3-reverse{
    animation: transformLines3-reverse 0.3s 1 ease-in-out normal forwards;
}
   
nav{
    margin-left: 0.5em;
    width: 55%;
}

.nav-section{
    display: none;
    justify-content: end;
}

nav ul{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    list-style-type: none;
}

nav li{
    width: 100px;
    text-align: center;
}

nav a:hover{
    background-color: var(--FORECOLOR);
    color: var(--BG-COLOR);
}
  
nav a{
    display: block;
    color: var(--FONT-COLOR);
    text-decoration: none;
}

@keyframes transformLines1{
    0%{
      transform: translateY(-8px);
      background-color: var(--FORECOLOR);
    }
    
    50%{
      transform: translateY(0px) rotate(0deg);
    }
    
    100%{
      transform: rotate(45deg);
      background-color: var(--SIDEMENU-COLOR);
    }
}
  
@keyframes transformLines2{
    0%{
      opacity: 100;
    }
    
    40%{
      opacity: 100;
    }
   
    60%{
      opacity: 0;
    }
    
    100%{
      opacity: 0;
    }
}
  
@keyframes transformLines3{
    0%{
      transform: translateY(8px);
      background-color: var(--FORECOLOR);
    }
    
    50%{
      transform: translateY(0px) rotate(0deg);
    }
    
    100%{
      transform: rotate(-45deg);
      background-color: var(--SIDEMENU-COLOR);
    }
}
  
@keyframes transformLines1-reverse{
    100%{
      transform: translateY(-8px);
      background-color: var(--FORECOLOR);
    }
    
    50%{
      transform: translateY(0px) rotate(0deg);
    }
    
    0%{
      transform: rotate(45deg);
      background-color: var(--SIDEMENU-COLOR);
    }
}
  
@keyframes transformLines2-reverse{
    100%{
      opacity: 100;
    }
    
    60%{
      opacity: 100;
    }
   
    40%{
      opacity: 0;
    }
    
    0%{
      opacity: 0;
    }
}
  
@keyframes transformLines3-reverse{
    100%{
      transform: translateY(8px);
      background-color: var(--FORECOLOR);
    }
    
    50%{
      transform: translateY(0px) rotate(0deg);
    }
    
    0%{
      transform: rotate(-45deg);
      background-color: var(--SIDEMENU-COLOR);
    }
}


/* ||--------RISE EFFECT-------- */
@keyframes rise {
    0%{
        transform: translateY(0);
    }

    80%{
       transform: translateY(-15px); 
    }

    100%{
        transform: translateY(-10px);
    }
}
  
/* || -------------------------------HERO SECTION------------------------------- */
.hero{
    display: grid;
    margin: 1em;
}

.hero p{
    text-align: center;
    color: var(--HERO-PARAGRAPH);
    font-family: 'Bookman Old Style';
}

.hero span{
    color: var(--HERO-FONT-COLOR);
    font-family: monospace;
    font-size: 1rem;
}

.hero div{
    display: grid;
    place-content: center;
}

.hero div:first-child{
    padding: 0em 1em;
}

.hero div:nth-child(3){
    padding: 1em;
    width: 140%;
}

.hero div:last-child{
    grid-column: 2 / 3;
    grid-row: 1 / 3;
}

.rounded-image{
    border: 2px solid var(--FORECOLOR);
    border-radius: 50%;
}

.hero button{
    padding: 0em 1em;
    width: 150px;
    background-color: transparent;
    color: var(--FONT-COLOR);
    border: 1.5px solid var(--FORECOLOR);
    border-radius: 20px;
}

.hero button:hover{
    background-color: var(--FORECOLOR);
    color: var(--BG-COLOR);
}

.download-button{
    display: inline;
}

/* || -----RESIZE EFFECT----- */
.thumbnail {
    cursor: pointer;
    transition: transform 0.2s;
}
.thumbnail:hover {
    transform: scale(1.05);
}
/* Modal styles */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.modal img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 8px;
}
.close {
    position: absolute;
    top: 20px;
    right: 30px;
    color: white;
    font-size: 30px;
    cursor: pointer;
}



/* || -------------------------------ABOUT SECTION------------------------------- */
.about-article{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1em;
    scroll-margin-top: 5rem;
}

.about-article div{
    order: 2;
    padding: 1em;
}

.about-article h2{
    order: 1;
}

.about-article p{
    order: 3;
    text-align: justify;
    font-style: oblique;
}

.second-image-container img{
    border-radius: 0.5rem;
}



/* || -------------------------------EDUCATION SECTION------------------------------- */
.education-section{
    margin: 1em;
}

.education-section p{
    padding: 0.5em 0em;
    font-style: oblique;
}



/* || -------------------------------SKILLS SECTION------------------------------- */
.skills-section{
    margin: 3rem 1rem;
    
}

.skills-set{
    margin: 1rem 1rem 3rem;
}

.energy-bar{
    border: 1px solid;
    border-radius: 1rem;
}

.energy{
    height: 0.3rem;
    background-color: var(--FORECOLOR);
}



/* || -------------------------------SERVICES SECTION------------------------------- */
.services-section{
    margin: 5rem 1em;
    scroll-margin-top: 4rem;
}

.services-section h2{
    font-size: 3rem;
    font-weight: normal;
    text-align: center;
}

.service-panels{
    max-width: 100%;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    gap: 2rem;
}

.service-panels a{
    text-decoration: none;
}

.panel{
    margin: 1rem;
    width: 340px;
    height: 450px;
    border: 2px solid var(--FORECOLOR);
    border-radius: 0.8rem 3.8rem;
    display: grid;
    grid-template-rows: 2fr 1fr 3fr;
    z-index: 1;
}

.panel:active{
    opacity: 50%;
    border-color: rgb(0, 107, 143);
    box-shadow: 0 0 10px blue;
}

.panel1{
    font-size: 4rem;
    color: var(--FORECOLOR);
    align-content: center;
    margin-left: 1rem;
}

.panel-header{
    align-content: center;
}

.panel h4{
    margin-left: 1rem;
}

.inner-panel{
    background-image: linear-gradient(to top, var(--PANEL-SECONDARY-COLOR), var(--BG-COLOR));
    border-radius: 0rem 0rem 0.5rem 3.5rem;
    display: flex;
    align-items: center;
}

.inner-panel p{
    color: var(--SECONDARY-P-COLOR);
    text-align: justify;
    padding: 0.5em;
    text-shadow: 1px 1px 1px #000;
}

.panel-icon{
    align-content: end;
    justify-content: end;
}


/* || -------------------------------PROJECTS SECTION------------------------------- */
.projects{
    /* background-color: #000043; */
    scroll-margin-top: 6rem;
    margin-bottom: 3em;
}

.projects h2{
    font-size: 3rem;
    font-weight: normal;
    text-align: center;
}

.projects-container{
    display: flex;
    justify-content: center;
    margin: 0.5em; 
    overflow: hidden;
}

.prev-button, .next-button{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1.5px solid var(--FORECOLOR);
}

.prev-button:hover, .next-button:hover{
    cursor: pointer;
    background-color: transparent;
    color: var(--FONT-COLOR);
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
    }

.project-card{
    background-color: rgba(0, 221, 255, 0.15);
    width: 275px;
    height: 400px;
    border: 2px solid var(--FORECOLOR);
    border-radius: 1rem;
    display: grid;
    grid-template-rows: 1fr 4fr 1fr 1fr;
    z-index: 1;
}

.project-card-header{
    font-size: 1.5rem;
    font-weight: normal;
    font-style: normal;
}

.upper-section{
    border-bottom:2px solid var(--FORECOLOR);
}

.middle-section{
    padding: 1em; 
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.lower-section{
    border-top:2px solid var(--FORECOLOR);
}

.project-p{
    text-align: justify;
    color: #fff;
}

.swiper {
    width: 600px;
    height: 300px;
  }









/* || -------------------------------CONTACT SECTION------------------------------- */
#contact{
    padding: 0;
}

input::placeholder, textarea::placeholder{
    color: var(--FONT-COLOR);
    opacity: 60%;
}

.contact-field{
    margin: 1em;
    scroll-margin-top: 5rem;
}

.inner-container{
    display: grid;
    text-align: center;
}

.second-inner-container{
    margin-top: 5em;
}

.social-icons{
    margin: 1rem 0rem;
    display: flex;
    align-items: end;
    justify-content: center;
}

.contact-numbers{
    display: grid;
    grid-template-columns: repeat(1, 1fr auto);
}

.contact-detail{
    display: flex;
    align-items: center;
    margin: 0.5rem 0rem;
}

.contact-detail:nth-child(odd){
    justify-content: center;   
}

.contact-detail a{
    color: var(--FORECOLOR);
    font-style: italic;
    text-decoration: none;
}

.download-container{
    align-items: center;
}

.message{
    opacity: 0%;
    margin: 0.2em;
    padding: 0.5em 1em;
    background-color: lime;
    color: var(--BG-COLOR);
    border-radius: 20px;
}

.animateMessage{
    animation: showMessage 3s ease-in-out normal forwards;
}

.submission{
    text-align: end;
    justify-content: space-between;
}

.submit-button{
    margin-bottom: 2rem;
    margin-right: 8%;
    width: 8rem;
}

.status-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden; /* Hidden by default */
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 1000;
}

.status-overlay.active {
    visibility: visible;
    opacity: 1;
}

.status-message {
    background: var(--BG-COLOR);
    border: 2px solid var(--FORECOLOR);
    padding: 20px 40px;
    border-radius: 10px;
    font-size: 18px;
    color: var(--FONT-COLOR);
    text-align: center;
    display: flex;
    align-items: center;
    gap: 10px; /* Space between spinner and text */
}

/* Spinner styling */
.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-top: 4px solid var(--FOOTER_COLOR); /* Spinner color */
    border-radius: 50%;
    width: 28px;
    height: 28px;
    animation: spin 1s linear infinite; /* Spinner animation */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}





@keyframes showMessage {
    0%{
        display: none;
        opacity: 0%;
    }
    
    20%{
        display: block;
        opacity: 100%;
    }
    
    80%{
        opacity: 100%;
    }
    
    100%{
        display: none;
        opacity: 0%;
    }
}



/* || -------------------------------FOOTER SECTION------------------------------- */
.bottom-footer{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.bottom-footer p{
    text-align: center;
    color: var(--FOOTER_COLOR);
}


/* ------------------------X-SMALL-SCREEN------------------------ */
@media screen and (min-width: 375px){
    h1{
        text-align: center;
    }

    .theme{
        left: 0;
    }    
}

/* ------------------------SMALL-SCREEN------------------------ */
@media screen and (min-width: 576px){
    .hero div:last-child{
        grid-row: 1 / 4;
    }    

    .hero div:nth-child(3){
        width: 100%;
    }

    .about-article{
        display: grid;
        grid-template-columns: 2fr 5fr;
        grid-template-rows: 1fr 3fr;
        margin: 5vh 0em;
        align-items: normal;
    }
    
    .about-article div{
        order: 1;
        grid-row: 1 / 3;
        display: grid;
        justify-content: end;
        align-items: center;
    }
    
    .about-article h2{
        order: 2;
        display: grid;
        place-content: center;
        font-weight: 500;
    }

    .about-article p{
        order: 3;
        padding: 0em 5vw;
    }

    .second-image-container img{
        border-radius: 0.5rem;
    }
    
}

/* ------------------------MEDIUM-SCREEN------------------------ */
@media screen and (min-width: 768px){    
    .skills-set{
        margin: 1rem 3rem 3rem;
    }
}

/* ------------------------LARGE-SCREEN------------------------ */
@media screen and (min-width: 992px){
    main{
        margin-top: 5rem;
    }

    .nav-section{
        display: flex;
    }

    .hero{
        margin-top: 2em;
    }

    .hero div{
        padding: 0;
    }

    .edu-section-article{
        padding: 0em 2em;
    }

    
    .container{
        display: grid;
        grid-template-columns: 3fr 5fr;
    }
    
    .inner-container{
        display: grid;
        text-align: center;
    }
    
    .second-inner-container{
        margin: 0;
    }

    .social-icons{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .contact-numbers{
        display: grid;
        grid-template-columns: repeat(1, 1fr auto);
    }
    
    .contact-detail{
        display: flex;
        align-items: center;
    }
    
    .contact-detail:nth-child(odd){
        justify-content: center;   
    }
    
    .contact-detail a{
        color: var(--FORECOLOR);
        font-style: italic;
        text-decoration: none;
    }
    .download-container{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .submission{
        text-align: end;
    }

    .menu-button{
        display: none;
    }
}

/* ------------------------EXTRA-LARGE-SCREEN------------------------ */
@media screen and (min-width: 1200px){
    .services-section{
        scroll-margin-top: 6rem;
    } 
    
    .contact-field{
        scroll-margin-top: 8rem;
    }

    .about-article{
        scroll-margin-top: 6rem;
    }

    .panel{
        opacity: 50%;
    }
    
    .panel:hover{
        opacity: 100%;
        animation: rise 0.2s forwards;
    }
    
}
